<template>
  <div class="home">
    <img alt="Vue logo" src="../assets/logo-mini-jaune-sans-fond.png">
    <b-container id="homeContainer">
      <div id="fstrow">
        <b-col sm="8" id="articleTitle">
          <h1>Articles</h1>
        </b-col>
        <b-col sm="2"></b-col>
        <b-col sm="2">
          <router-link :to="{ path: 'create' }" tag="b-button">
            <img alt="Plus icon" src="../assets/plus-black-symbol.png">
          </router-link>
        </b-col>
      </div>
      <div id=articleList>
      <article-list></article-list>
      </div>
    </b-container>
  </div>
</template>

<script>
// @ is an alias to /src
import ArticleList from "@/components/ArticleList.vue";

import axios from "axios";

export default {
  name: "home",
  created() {
    this.$store.dispatch("loadData"); // dispatch loading
  },
  data() {
    return {};
  },
  components: {
    ArticleList
  },

  methods: {},
  computed: {
    articles() {
      return this.$store.getters.articles;
    }
  }
};
</script>

<style>
#homeContainer {
  width: 35%;
  border: solid;
  margin: 50px auto 50px auto;
  padding: 0px;
}

#fstrow {
  display: flex;
  justify-content: space-between;
  border-bottom: solid;
}

#articleTitle {
  display: flex;
  justify-content: flex-start;
}

#articleList {
  padding: 2px;
  text-align:start;
}

b {
  font-size: 14px;
}

.btn {
  background-color: white;
  border: 2px solid black;
  box-shadow: 5px 5px 5px grey;
  margin: 8px;
  color: black;
}
.btn:hover {
  cursor: pointer;
  box-shadow: 2px 2px 2px grey;
  color: black;
  background-color: white;
}
.btn:hover:disabled {
  cursor: not-allowed;
}
</style>
